use college_scan_multi;

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for absent
-- ----------------------------
DROP TABLE IF EXISTS `absent`;
CREATE TABLE `absent` (
  `exam_id` int(11) NOT NULL,
  `examNumber` varchar(30) NOT NULL,
  `campus_name` varchar(50) DEFAULT NULL,
  `packageCode` varchar(30) DEFAULT NULL,
  `studentCode` varchar(30) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `subjectCode` varchar(30) DEFAULT NULL,
  `subjectName` varchar(50) DEFAULT NULL,
  `seatNo` varchar(30) DEFAULT NULL,
  `statues` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`examNumber`,`exam_id`),
  KEY `PackageCode` (`packageCode`),
  KEY `SubjectCode` (`subjectCode`),
  KEY `Name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for append_scan
-- ----------------------------
DROP TABLE IF EXISTS `append_scan`;
CREATE TABLE `append_scan` (
  `save_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `exam_id` int(11) NOT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `student_code` varchar(30) DEFAULT NULL,
  `exam_number` varchar(30) NOT NULL,
  `subject_code` varchar(30) DEFAULT NULL,
  `sheet_count` int(5) DEFAULT NULL,
  `slice_count` int(5) DEFAULT NULL,
  `append_count` int(5) DEFAULT NULL,
  `result_value` varchar(100) DEFAULT NULL,
  `check_status` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`exam_number`),
  UNIQUE KEY `exam_id` (`exam_id`,`exam_number`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for baseinfo
-- ----------------------------
DROP TABLE IF EXISTS `baseinfo`;
CREATE TABLE `baseinfo` (
  `examId` int(11) NOT NULL,
  `disk_name` varchar(50) NOT NULL,
  `disk_serno` varchar(50) DEFAULT NULL,
  `BatchNO` varchar(30) DEFAULT NULL,
  `BatchNum` int(10) DEFAULT NULL,
  `ClipCount` int(5) DEFAULT NULL,
  `KgtCount` int(5) DEFAULT NULL,
  `ClipRect` varchar(1000) DEFAULT NULL,
  `conver` int(1) DEFAULT NULL,
  PRIMARY KEY (`examId`,`disk_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for baseinfolog
-- ----------------------------
DROP TABLE IF EXISTS `baseinfolog`;
CREATE TABLE `baseinfolog` (
  `examID` int(11) DEFAULT NULL,
  `DiskSerNo` varchar(50) DEFAULT NULL,
  `FormID` int(3) DEFAULT NULL,
  `ClipCount` int(3) DEFAULT NULL,
  `KgtCount` int(3) DEFAULT NULL,
  `EDateTime` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for campus
-- ----------------------------
DROP TABLE IF EXISTS `campus`;
CREATE TABLE `campus` (
  `campus_name` varchar(50) DEFAULT NULL,
  `PackageCode` varchar(30) NOT NULL,
  `picCount` int(3) DEFAULT NULL,
  `exam_id` int(11) NOT NULL,
  `Status` int(2) DEFAULT NULL,
  PRIMARY KEY (`PackageCode`,`exam_id`),
  KEY `camp_Id` (`PackageCode`,`exam_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for card_defcount
-- ----------------------------
DROP TABLE IF EXISTS `card_defcount`;
CREATE TABLE `card_defcount` (
  `exam_id` int(11) NOT NULL,
  `check_Code` varchar(30) NOT NULL,
  `Card_DefCount` int(3) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`check_Code`),
  KEY `exam_id` (`exam_id`,`check_Code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for check_omr
-- ----------------------------
DROP TABLE IF EXISTS `check_omr`;
CREATE TABLE `check_omr` (
  `exam_id` int(11) NOT NULL,
  `student_id` varchar(30) NOT NULL,
  `subject_code` varchar(30) NOT NULL,
  `exam_number` varchar(30) NOT NULL,
  `sheetSrc` longtext,
  `check_times` varchar(30) DEFAULT NULL,
  `check_status` int(5) DEFAULT NULL,
  `check_ip` varchar(30) DEFAULT NULL,
  `newAnswer` longtext,
  `mark_dth` longtext,
  `admin_check_Ip` varchar(30) DEFAULT NULL,
  `admin_check_status` int(5) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`exam_number`),
  KEY `check_ip` (`check_ip`) USING BTREE,
  KEY `check_status` (`check_status`) USING BTREE,
  KEY `exam_number` (`exam_number`),
  KEY `exam_id` (`exam_id`),
  KEY `mark_dth` (`mark_dth`(768)),
  KEY `admin_check_Ip` (`admin_check_Ip`),
  KEY `admin_check_status` (`admin_check_status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for check_student
-- ----------------------------
DROP TABLE IF EXISTS `check_student`;
CREATE TABLE `check_student` (
  `exam_id` int(11) NOT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `student_code` varchar(50) DEFAULT NULL,
  `exam_number` varchar(30) NOT NULL,
  `name` varchar(50) DEFAULT NULL,
  `subject_code` varchar(30) DEFAULT NULL,
  `subject_name` varchar(50) DEFAULT NULL,
  `is_upload` tinyint(1) NOT NULL DEFAULT '0',
  `scan_misspage_page` varchar(128) DEFAULT NULL,
  `ocrdata_scan_count` int(3) DEFAULT NULL,
  `ocrdata_scan_page` varchar(128) DEFAULT NULL,
  `sign_scan_count` int(3) DEFAULT NULL,
  `sign_scan_page` varchar(128) DEFAULT NULL,
  `card_def_count` int(3) DEFAULT NULL,
  `misspage` varchar(200) DEFAULT NULL,
  `remark` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`exam_number`),
  KEY `exam_site` (`exam_site`),
  KEY `ocrdata_scan_page` (`ocrdata_scan_page`),
  KEY `sign_scan_page` (`sign_scan_page`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for cliprect
-- ----------------------------
DROP TABLE IF EXISTS `cliprect`;
CREATE TABLE `cliprect` (
  `ExamID` int(11) DEFAULT NULL,
  `DiskSerNo` varchar(30) DEFAULT NULL,
  `FormID` int(3) DEFAULT NULL,
  `ClipCount` int(3) DEFAULT NULL,
  `ClitRect` longtext
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for config
-- ----------------------------
DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
  `exam_id` int(11) NOT NULL,
  `config` longtext,
  PRIMARY KEY (`exam_id`),
  UNIQUE KEY `exam_id` (`exam_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for eb_exam_student
-- ----------------------------
DROP TABLE IF EXISTS `eb_exam_student`;
CREATE TABLE `eb_exam_student` (
  `auid` int(11) NOT NULL AUTO_INCREMENT,
  `exam_id` int(11) NOT NULL COMMENT '考试ID',
  `school_id` int(11) NOT NULL COMMENT '学校ID',
  `campus_code` int(11) NOT NULL DEFAULT '0',
  `campus_name` varchar(64) DEFAULT NULL COMMENT '学习中心名称',
  `subject_code` varchar(32) NOT NULL COMMENT '科目代码',
  `subject_name` varchar(128) DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `secret_number` varchar(64) DEFAULT NULL,
  `exam_number` varchar(64) NOT NULL COMMENT '准考证号',
  `student_code` varchar(64) NOT NULL COMMENT '学号',
  `name` varchar(64) NOT NULL COMMENT '姓名',
  `package_code` varchar(64) DEFAULT NULL COMMENT '试卷袋编号',
  `exam_site` varchar(32) DEFAULT NULL COMMENT '考点',
  `exam_room` varchar(32) DEFAULT NULL COMMENT '考场',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  `subject_level` varchar(64) DEFAULT NULL COMMENT '层次',
  `subject_category` varchar(64) DEFAULT NULL COMMENT '专业类型',
  `college` varchar(64) NOT NULL COMMENT '电厂',
  `class_name` varchar(64) NOT NULL COMMENT '机组',
  `teacher` varchar(64) NOT NULL COMMENT '老师',
  `is_upload` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  PRIMARY KEY (`exam_id`,`exam_number`),
  UNIQUE KEY `auid` (`auid`),
  KEY `subject_code` (`subject_code`),
  KEY `exam_number` (`exam_number`),
  KEY `student_code` (`student_code`),
  KEY `package_code` (`package_code`),
  KEY `exam_site` (`exam_site`),
  KEY `exam_room` (`exam_room`)
) ENGINE=InnoDB AUTO_INCREMENT=240437 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for import_sign_page
-- ----------------------------
DROP TABLE IF EXISTS `import_sign_page`;
CREATE TABLE `import_sign_page` (
  `exam_id` int(5) NOT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `exam_room` varchar(100) DEFAULT NULL,
  `student_code` varchar(50) NOT NULL,
  `student_name` varchar(100) DEFAULT NULL,
  `subject_code` varchar(30) NOT NULL,
  `subject_name` varchar(50) DEFAULT NULL,
  `exam_number` varchar(20) DEFAULT NULL,
  `pagelist` varchar(50) DEFAULT NULL,
  `is_absent` int(2) DEFAULT NULL,
  `edit_time` varchar(30) DEFAULT NULL,
  `edit_user` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`student_code`,`subject_code`),
  KEY `student_code_2` (`student_code`),
  KEY `exam_number` (`exam_number`),
  KEY `subject_code` (`subject_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for kslb
-- ----------------------------
DROP TABLE IF EXISTS `kslb`;
CREATE TABLE `kslb` (
  `zkzh` varchar(500) DEFAULT NULL,
  `xm` varchar(500) DEFAULT NULL,
  `ys` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT;

-- ----------------------------
-- Table structure for objective
-- ----------------------------
DROP TABLE IF EXISTS `objective`;
CREATE TABLE `objective` (
  `DiskSerNo` varchar(50) DEFAULT NULL,
  `ExamID` int(11) NOT NULL,
  `SubjectCode` varchar(30) NOT NULL,
  `jData` longtext,
  `ChoStart` int(10) DEFAULT '0',
  `ChoEnd` int(10) DEFAULT '0',
  `MulitChoStart` int(10) DEFAULT '0',
  `MulitChoEnd` int(10) DEFAULT '0',
  `JudgeStart` int(10) DEFAULT '0',
  `JudgeEnd` int(10) DEFAULT '0',
  `mark` int(10) DEFAULT '0',
  `JudegMark` int(10) DEFAULT '0',
  `logtime` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for ocrdata
-- ----------------------------
DROP TABLE IF EXISTS `ocrdata`;
CREATE TABLE `ocrdata` (
  `DiskSerNo` varchar(50) DEFAULT NULL,
  `DiskSerNo_KGT` varchar(50) DEFAULT NULL,
  `Batch` varchar(10) DEFAULT NULL,
  `DeviceId` int(5) DEFAULT NULL,
  `ExamId` int(5) NOT NULL,
  `CampusCode` varchar(5) DEFAULT NULL,
  `CampusName` varchar(30) DEFAULT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `college` varchar(64) DEFAULT NULL,
  `SubjectCode` varchar(30) DEFAULT NULL,
  `SubjectName` varchar(50) DEFAULT NULL,
  `OCRTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `OCRUser` varchar(30) DEFAULT NULL,
  `student_Code` varchar(50) DEFAULT NULL,
  `ScanNumber` varchar(30) DEFAULT NULL,
  `examNumber` varchar(30) NOT NULL,
  `examName` varchar(50) DEFAULT NULL,
  `StudentID` varchar(30) DEFAULT NULL,
  `sheetSrc` longtext,
  `sheetCount` int(3) DEFAULT NULL,
  `sliceSrc` longtext,
  `slicePic` longtext,
  `sliceCount` int(3) DEFAULT NULL,
  `absent` int(1) DEFAULT NULL,
  `wj` int(1) DEFAULT NULL,
  `check_absent_status` int(1) DEFAULT NULL,
  `paper_type` varchar(5) DEFAULT NULL,
  `card_type` varchar(50) DEFAULT NULL,
  `card_name` varchar(50) DEFAULT NULL,
  `omrUp` int(1) DEFAULT NULL,
  `omrResult` longtext,
  `FirstResult` longtext,
  `SecondResult` longtext,
  `FirstResultBack` longtext,
  `SecondResultback` longtext,
  `ScanRemark` longtext,
  `kgtpoint` longtext,
  `slicePoint` longtext,
  `ans_checkIp1` varchar(30) DEFAULT NULL,
  `ans_checkIp2` varchar(30) DEFAULT NULL,
  `ans_checkIp3` varchar(30) DEFAULT NULL,
  `misspage` varchar(30) DEFAULT NULL,
  `misspageStatusCheck` varchar(10) DEFAULT NULL,
  `ScanPagelist` varchar(30) DEFAULT NULL,
  `scanPageCount` int(5) DEFAULT NULL,
  `isUpload` int(3) NOT NULL DEFAULT '0',
  `isUpload_kgt` int(3) NOT NULL DEFAULT '0',
  `UpError` longtext,
  `UploadTime` varchar(30) DEFAULT NULL,
  `ServerPath` longtext,
  `ServerAnswer` longtext,
  `LoginName` varchar(30) DEFAULT '',
  `loginPwd` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ExamId`,`examNumber`),
  KEY `fx_ExamId` (`ExamId`),
  KEY `fx_CampusCode` (`CampusCode`),
  KEY `fx_SubjectCode` (`SubjectCode`),
  KEY `fx_examNumber` (`examNumber`),
  KEY `fx_StudentID` (`StudentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT;

-- ----------------------------
-- Table structure for ocrdata_history
-- ----------------------------
DROP TABLE IF EXISTS `ocrdata_history`;
CREATE TABLE `ocrdata_history` (
  `remark` varchar(100) DEFAULT NULL,
  `DiskSerNo` varchar(50) DEFAULT NULL,
  `DiskSerNo_KGT` varchar(50) DEFAULT NULL,
  `Batch` varchar(10) DEFAULT NULL,
  `DeviceId` int(5) DEFAULT NULL,
  `ExamId` int(5) NOT NULL,
  `CampusCode` varchar(5) DEFAULT NULL,
  `CampusName` varchar(30) DEFAULT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `college` varchar(64) DEFAULT NULL,
  `SubjectCode` varchar(30) DEFAULT NULL,
  `SubjectName` varchar(50) DEFAULT NULL,
  `OCRTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `OCRUser` varchar(30) DEFAULT NULL,
  `student_Code` varchar(50) DEFAULT NULL,
  `ScanNumber` varchar(30) DEFAULT NULL,
  `examNumber` varchar(30) NOT NULL,
  `examName` varchar(50) DEFAULT NULL,
  `StudentID` varchar(30) DEFAULT NULL,
  `sheetSrc` longtext,
  `sheetCount` int(3) DEFAULT NULL,
  `sliceSrc` longtext,
  `slicePic` longtext,
  `sliceCount` int(3) DEFAULT NULL,
  `absent` int(1) DEFAULT NULL,
  `wj` int(1) DEFAULT NULL,
  `check_absent_status` int(1) DEFAULT NULL,
  `paper_type` varchar(5) DEFAULT NULL,
  `card_type` varchar(50) DEFAULT NULL,
  `card_name` varchar(50) DEFAULT NULL,
  `omrUp` int(1) DEFAULT NULL,
  `omrResult` longtext,
  `FirstResult` longtext,
  `SecondResult` longtext,
  `ScanRemark` longtext,
  `kgtpoint` longtext,
  `slicePoint` longtext,
  `ScanPagelist` varchar(30) DEFAULT NULL,
  `scanPageCount` int(5) DEFAULT NULL,
  `isUpload` int(3) DEFAULT '0',
  `isUpload_kgt` int(3) DEFAULT '0',
  KEY `ExamId` (`ExamId`),
  KEY `SubjectCode` (`SubjectCode`),
  KEY `examNumber` (`examNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for omrresult
-- ----------------------------
DROP TABLE IF EXISTS `omrresult`;
CREATE TABLE `omrresult` (
  `examid` int(11) DEFAULT '0',
  `subjectCode` varchar(30) DEFAULT NULL,
  `examNumber` varchar(30) DEFAULT '',
  `FirstResult` longtext,
  `SecondResult` longtext,
  `newFirstResult` longtext,
  `newSecondResult` longtext,
  `newFirst` longtext,
  `newSecond` longtext,
  `Status` int(1) DEFAULT NULL,
  KEY `FirstResult` (`FirstResult`(250)),
  KEY `SecondResult` (`SecondResult`(250))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for registno
-- ----------------------------
DROP TABLE IF EXISTS `registno`;
CREATE TABLE `registno` (
  `DiskSerNo` varchar(30) DEFAULT NULL,
  `ExamId` int(11) NOT NULL,
  `RegistNo` varchar(30) NOT NULL,
  `OCRTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `PicSrc` longtext,
  `RegistCount` int(3) DEFAULT NULL,
  `isUpload` int(1) NOT NULL DEFAULT '0',
  `UpError` varchar(255) DEFAULT NULL,
  `UploadTime` varchar(30) DEFAULT NULL,
  `ServerPath` longtext,
  `ServerAnswer` longtext,
  `LoginName` varchar(30) DEFAULT NULL,
  `loginPwd` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ExamId`,`RegistNo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for registqty
-- ----------------------------
DROP TABLE IF EXISTS `registqty`;
CREATE TABLE `registqty` (
  `DiskSerNo` varchar(30) NOT NULL,
  `Batch` varchar(30) NOT NULL,
  `Qty` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`DiskSerNo`,`Batch`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for sign_page
-- ----------------------------
DROP TABLE IF EXISTS `sign_page`;
CREATE TABLE `sign_page` (
  `exam_id` int(11) NOT NULL,
  `exam_number` varchar(30) NOT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `college` varchar(64) DEFAULT NULL,
  `page_no` varchar(11) NOT NULL,
  `xh` int(10) NOT NULL,
  `Card_DefCount` int(3) DEFAULT NULL,
  `subject_code` varchar(30) DEFAULT NULL,
  `sign_page_src` longtext,
  `scan_remark` longtext,
  `Card_type` varchar(50) DEFAULT NULL,
  `img_name` varchar(50) NOT NULL,
  `is_upload` tinyint(1) unsigned zerofill NOT NULL DEFAULT '0',
  `DiskSerNo` varchar(30) DEFAULT NULL,
  `check_status` int(2) DEFAULT NULL,
  PRIMARY KEY (`img_name`,`xh`,`exam_id`),
  KEY `exam_number` (`exam_number`,`exam_site`,`page_no`,`subject_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for subject_code_kgt
-- ----------------------------
DROP TABLE IF EXISTS `subject_code_kgt`;
CREATE TABLE `subject_code_kgt` (
  `exam_id` int(11) NOT NULL,
  `subject_code` varchar(30) NOT NULL,
  `subject_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`subject_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for task_child
-- ----------------------------
DROP TABLE IF EXISTS `task_child`;
CREATE TABLE `task_child` (
  `exam_id` int(11) NOT NULL,
  `exam_number` varchar(30) NOT NULL,
  `task_id` varchar(30) NOT NULL,
  `check_times1` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `check_ip1` varchar(30) DEFAULT NULL,
  `check_status1` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`exam_number`,`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for task_master
-- ----------------------------
DROP TABLE IF EXISTS `task_master`;
CREATE TABLE `task_master` (
  `exam_id` int(11) NOT NULL,
  `task_id` varchar(30) NOT NULL,
  `task_type` int(1) DEFAULT NULL,
  `task_times` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `task_name` varchar(200) DEFAULT NULL,
  `task_remark` varchar(100) DEFAULT NULL,
  `task_valid` int(5) DEFAULT NULL,
  `task_where` longtext,
  PRIMARY KEY (`exam_id`,`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for upload_file_list
-- ----------------------------
DROP TABLE IF EXISTS `upload_file_list`;
CREATE TABLE `upload_file_list` (
  `exam_id` int(11) NOT NULL,
  `subject_code` varchar(30) NOT NULL,
  `subject_name` varchar(50) DEFAULT NULL,
  `is_used` int(1) DEFAULT NULL,
  `file_description` varchar(100) NOT NULL,
  `file_type` int(1) NOT NULL,
  `down_url` varchar(200) DEFAULT NULL,
  `DiskSerNo` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`file_description`,`file_type`,`subject_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for verify_check_info
-- ----------------------------
DROP TABLE IF EXISTS `verify_check_info`;
CREATE TABLE `verify_check_info` (
  `exam_id` int(11) NOT NULL,
  `campus_code` int(30) DEFAULT NULL,
  `exam_number` varchar(30) NOT NULL,
  `subject_code` varchar(30) DEFAULT NULL,
  `exam_college` varchar(64) DEFAULT NULL,
  `exam_site` varchar(50) DEFAULT NULL,
  `slicePoint` longtext,
  `misspage` varchar(30) DEFAULT NULL,
  `sheet_src` longtext,
  `check_times` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `check_ip1` varchar(30) DEFAULT NULL,
  `check_status1` varchar(50) DEFAULT NULL,
  `check_msg_history1` varchar(300) DEFAULT NULL,
  `status_examine1` varchar(10) DEFAULT NULL,
  `check_ip2` varchar(30) DEFAULT NULL,
  `check_status2` varchar(50) DEFAULT NULL,
  `check_msg_history2` varchar(300) DEFAULT NULL,
  `status_examine2` varchar(10) DEFAULT NULL,
  `check_ip3` varchar(30) DEFAULT NULL,
  `check_status3` varchar(50) DEFAULT NULL,
  `check_msg_history3` varchar(300) DEFAULT NULL,
  `status_examine3` varchar(10) DEFAULT NULL,
  `Remark` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`exam_id`,`exam_number`),
  KEY `check_ip1` (`check_ip1`,`check_status1`,`check_msg_history1`),
  KEY `check_ip2` (`check_ip2`,`check_status2`,`check_msg_history2`),
  KEY `check_ip3` (`check_ip3`,`check_status3`,`check_msg_history3`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
