package cn.com.qmth.stmms.biz.report.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.stmms.common.annotation.ExcelField;

/**
 * 
 * @Description: 机组大题分析
 * @author ting.yin
 * @date 2019年6月19日
 */
@Entity
@Table(name = "s_basic_class_group", indexes = { @Index(columnList = "exam_id,subject_code") })
public class ReportSubjectClassGroup implements Serializable {

    private static final long serialVersionUID = 9150848313841148117L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @ExcelField(title = "课程代码", align = 2, sort = 10)
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @ExcelField(title = "课程名称", align = 2, sort = 20)
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 机组
     */
    @ExcelField(title = "机组", align = 2, sort = 30)
    @Column(name = "class_name")
    private String className;

    /**
     * 大题
     */
    @ExcelField(title = "大题名称", align = 2, sort = 40)
    @Column(name = "group_name")
    private String groupName;

    /**
     * 大题号
     */
    @ExcelField(title = "大题号", align = 2, sort = 50)
    @Column(name = "group_number")
    private Integer groupNumber;

    /**
     * 满分
     */
    @ExcelField(title = "满分", align = 2, sort = 60)
    @Column(name = "total_score")
    private Double totalScore;

    /**
     * 是否客观
     */
    @Column(name = "objective")
    private Boolean objective;

    /**
     * 区分度
     */
    @Column(name = "discrimination", nullable = true, length = 32)
    private Double discrimination;

    /**
     * 难度
     */
    @Column(name = "difficulty", nullable = true, length = 32)
    private Double difficulty;

    /**
     * 差异系数
     */
    @Column(name = "coefficient", nullable = true, length = 32)
    private Double coefficient;

    /**
     * 题目数量
     */
    @Column(name = "question_count")
    private Integer questionCount;

    /**
     * 难度分布
     */
    @Column(name = "difficulity_level", nullable = true)
    private String difficulityLevel;

    /**
     * 区分度分布
     */
    @Column(name = "discrimination_level", nullable = true)
    private String discriminationLevel;

    /**
     * 卷型
     */
    @Column(name = "paper_type", nullable = true, length = 32)
    private String paperType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

    public Double getDiscrimination() {
        return discrimination;
    }

    public void setDiscrimination(Double discrimination) {
        this.discrimination = discrimination;
    }

    public Integer getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    public String getDifficulityLevel() {
        return difficulityLevel;
    }

    public void setDifficulityLevel(String difficulityLevel) {
        this.difficulityLevel = difficulityLevel;
    }

    public String getDiscriminationLevel() {
        return discriminationLevel;
    }

    public void setDiscriminationLevel(String discriminationLevel) {
        this.discriminationLevel = discriminationLevel;
    }

    public Double getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(Double difficulty) {
        this.difficulty = difficulty;
    }

    public Double getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(Double coefficient) {
        this.coefficient = coefficient;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

}